Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 569038 - Review Request: pinta - Simple painting for Gtk
Summary: Review Request: pinta - Simple painting for Gtk
Keywords:
Status: CLOSED DUPLICATE of bug 590244
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 578701 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-27 18:46 UTC by Sebastian Dziallas
Modified: 2010-05-08 11:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 11:38:58 UTC


Attachments (Terms of Use)

Description Sebastian Dziallas 2010-02-27 18:46:31 UTC
Spec URL: http://sdz.fedorapeople.org/rpmbuild/pinta.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/pinta-0.1-1.20100227git.fc12.src.rpm

Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2018110
Description: This package is another one intended for the Design Suite.

Comment 1 Andrea Musuruane 2010-03-27 14:16:06 UTC
Pinta 0.2 is available. Please update.

Comment 2 Sebastian Dziallas 2010-03-28 17:58:14 UTC
Ayup, you're right! Thanks for the heads-up. Here's the updated package.

Anybody up for a review?

Spec URL: http://sdz.fedorapeople.org/rpmbuild/pinta.spec
SRPM URL:
http://sdz.fedorapeople.org/rpmbuild/pinta-0.2-1.fc12.src.rpm

Comment 3 Andrea Musuruane 2010-03-30 13:47:13 UTC
It seems the icons are taken from paintdotnet 3.0. In this case they are not an acceptable content for Fedora because they are licensed under CC-BY-NC-ND.

Please read:
https://www.redhat.com/archives/fedora-legal-list/2009-February/msg00024.html
https://bugzilla.redhat.com/show_bug.cgi?id=497766

Please verify upstream if needed.

Comment 4 Sebastian Dziallas 2010-03-30 14:29:29 UTC
Thanks for the heads-up! I inquired with upstream early when packaging it and upstream added a line saying "Pinta does not use the Paint.NET logo or icon mentioned above." back then. This is also the reason why I packaged originally a GIT checkout, instead of version 0.1 (which didn't contain this note). Here's the link to the file, which should be in 0.2 now: http://github.com/jpobst/Pinta/blob/master/license-pdn.txt

Comment 5 Jason Tibbitts 2010-04-01 17:10:57 UTC
*** Bug 578701 has been marked as a duplicate of this bug. ***

Comment 6 Andrea Musuruane 2010-04-18 10:35:39 UTC
Package do not work on 64 bits system. You are wrongly supposing that %{_libdir} is always /usr/lib.

From the Mono guidelines: "Mono installs binaries in %{_libdir}/<package>/bin with symlinks back to /usr/bin.". You didn't use %{_libdir}/<package>/bin but %{_libdir}/<package>.

Please use another name for the icon. Now you use applications-graphics.png and it is too generic and therefore it could conflict with other packages.

You should also add todo.txt to the docs.

You may also want to have a look at the Debian package for patches and other improvements (for example, the desktop file):
http://patch-tracker.debian.org/package/pinta/0.2-1

Comment 7 Andrea Musuruane 2010-05-02 08:26:50 UTC
Ping.

Comment 8 Andrea Musuruane 2010-05-04 12:33:42 UTC
Pinta 0.3 is out:
http://pinta-project.com/release/0.3

Are you still interested in this review request?

Comment 9 Sebastian Dziallas 2010-05-06 11:38:58 UTC
I've been rotating around here while working out some parts of 'life' as marked here: http://fedoraproject.org/wiki/Vacation :)

While I still think that Pinta is a cool application, I might not be able to continue to give it the attention it deserves. If somebody wants to package it, I'm willing to act as co-maintainer, though.

Comment 10 Chen Lei 2010-05-08 11:40:47 UTC

*** This bug has been marked as a duplicate of bug 590244 ***


Note You need to log in before you can comment on or make changes to this bug.